// Copyright 2021 Schpin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.


#include "gait/vertex.h"
#include "gait/view.h"

#include <magic_enum.hpp>

#pragma once
namespace schpin
{

class gait_db
{

        long int gait_run_id;

public:
        gait_db()
        {
        }

        void store_gait_run( const gait_body_path&, const leg_container< sidepath >& )
        {
        }

        void
        store_vertex_creation( gait_vertex_id, const gait_state_view&, gait_vertex_status_enum )
        {
        }

        void store_vertex_edges( const std::vector< gait_edge >& )
        {
        }
};

}  // namespace schpin
