// Copyright 2021 Schpin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.


#include "shared/protocol.h"
#include <schpin_lib/view.h>

namespace schpin
{
em::either< node_fw_tuple, protocol_error_record > parse_node_fw( node_fw_message m )
{
        return node_fw_protocol::extract( m );
}

em::either< fw_node_tuple, protocol_error_record > parse_fw_node( fw_node_message m )
{
        return fw_node_protocol::extract( m );
}
}  // namespace schpin
