// Copyright 2021 Schpin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.


#include "planner/body.h"

namespace schpin
{
template bool
detail::body_collides_with_environment_impl< collision_mode::FAST >( const body&,
                                                                     const pose< world_frame >&,
                                                                     const environment& );
template bool
detail::body_collides_with_environment_impl< collision_mode::FULL >( const body&,
                                                                     const pose< world_frame >&,
                                                                     const environment& );
template bool
detail::leg_collides_with_environment_impl< collision_mode::FAST >( const leg_view< 3 >&,
                                                                    const environment& );
template bool
detail::leg_collides_with_environment_impl< collision_mode::FULL >( const leg_view< 3 >&,
                                                                    const environment& );
}  // namespace schpin
